| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_mfs_csio_config Struct Reference
Multi Function Serial Interface (MFS)

CSIO configuration structure. More...

`#include <mfs.h>`

Collaboration diagram for stc_mfs_csio_config:
[legend]

## Data Fields
en_csio_ms_mode_t | enMsMode
| Master or slave mode.
uint32_t | u32BaudRate
| Baud rate (bps)
en_csio_act_mode_t | enActMode
| CSIO or SPI mode.
en_csio_sync_wait_time_t | enSyncWaitTime
| Sync wait time.
en_csio_data_len_t | enDataLength
| 5..16 Bit Character Length, see description of en_csio_data_len_t
en_csio_data_dir_t | enBitDirection
| Bit direction.
boolean_t | bInvertClk
| FALSE: SCK Mark Level High, TRUE: SCK Mark Level Low.
boolean_t | bEnSyncTransfer
| FALSE: disable sync transfer, TRUE: enable sync transfer triggered by serial timer.
stc_csio_serial_timer_t | stcSerialTimer
| Only when bEnSerialTimer is set to TRUE, this configuration is available.
boolean_t | bEnChipSelection
| FALSE: don't use chip selection function, TRUE: use chip selection function.
stc_csio_cs_t | stcCsConfig
| Only when bEnChipSelection is set to TRUE, this configuration is available.
boolean_t | bEnableFifo
| FALSE: Not enable FIFO configuration, TRUE: enable FIFO configuration.
stc_mfs_fifo_config_t | stcFifoConfig

## Detailed Description

CSIO configuration structure.

Definition at line 810 of file mfs.h.

## Field Documentation

boolean_t bEnableFifo

FALSE: Not enable FIFO configuration, TRUE: enable FIFO configuration.

Definition at line 826 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

boolean_t bEnChipSelection

FALSE: don't use chip selection function, TRUE: use chip selection function.

Definition at line 823 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

boolean_t bEnSyncTransfer

FALSE: disable sync transfer, TRUE: enable sync transfer triggered by serial timer.

Definition at line 820 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

boolean_t bInvertClk

FALSE: SCK Mark Level High, TRUE: SCK Mark Level Low.

Definition at line 818 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_csio_act_mode_t enActMode

CSIO or SPI mode.

Definition at line 814 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_csio_data_dir_t enBitDirection

Bit direction.

Definition at line 817 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_csio_data_len_t enDataLength

5..16 Bit Character Length, see description of en_csio_data_len_t

Definition at line 816 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_csio_ms_mode_t enMsMode

Master or slave mode.

Definition at line 812 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_csio_sync_wait_time_t enSyncWaitTime

Sync wait time.

Definition at line 815 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

stc_csio_cs_t stcCsConfig

Only when bEnChipSelection is set to TRUE, this configuration is available.

Definition at line 824 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

stc_mfs_fifo_config_t stcFifoConfig

Definition at line 827 of file mfs.h.

Referenced by Mfs_Csio_Init().

stc_csio_serial_timer_t stcSerialTimer

Only when bEnSerialTimer is set to TRUE, this configuration is available.

Definition at line 821 of file mfs.h.

Referenced by Mfs_Csio_Init().

uint32_t u32BaudRate

Baud rate (bps)

Definition at line 813 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mfs/mfs.h